# Conditional for release and snapshot builds. Uncomment for release-builds.
%global rel_build 1

# This is needed, because src-url contains branched part of versioning-scheme.
%global branch 1.23

# Settings used for build from snapshots.
%{!?rel_build:%global commit 79f28eb676ac6c7e707fde3fbb47f8b02f8f5aea}
%{!?rel_build:%global commit_date 20150831}
%{!?rel_build:%global shortcommit %(c=%{commit};echo ${c:0:7})}
%{!?rel_build:%global git_ver git%{commit_date}-%{shortcommit}}
%{!?rel_build:%global git_rel .git%{commit_date}.%{shortcommit}}
%{!?rel_build:%global git_tar %{name}-%{version}-%{git_ver}.tar.xz}

Name:          eom
Version:       %{branch}.1
%if 0%{?rel_build}
Release:       1%{?dist}
%else
Release:       10.1%{?git_rel}%{?dist}
%endif
Summary:       Eye of MATE image viewer
License:       GPLv2+ and LGPLv2+ 
URL:           http://mate-desktop.org 

# for downloading the tarball use 'spectool -g -R eom.spec'
# Source for release-builds.
%{?rel_build:Source0:     http://pub.mate-desktop.org/releases/%{branch}/%{name}-%{version}.tar.xz}
# Source for snapshot-builds.
%{!?rel_build:Source0:    http://git.mate-desktop.org/%{name}/snapshot/%{name}-%{commit}.tar.xz#/%{git_tar}}

BuildRequires: mate-common
BuildRequires: zlib-devel
BuildRequires: gobject-introspection-devel
BuildRequires: libjpeg-turbo-devel
BuildRequires: libpeas-devel
BuildRequires: libxml2-devel
BuildRequires: gtk3-devel
BuildRequires: mate-desktop-devel
BuildRequires: libexif-devel
BuildRequires: exempi-devel
BuildRequires: librsvg2-devel
BuildRequires: lcms2-devel
BuildRequires: dbus-glib-devel
BuildRequires: desktop-file-utils

#fix rhbz (#1008249)
Requires:      mate-desktop-libs
# libpeas isn't splited in rhel7
%if 0%{?fedora}
Requires:      libpeas-loader-python3
%endif

%description
The Eye of MATE (eom) is the official image viewer for the
MATE desktop. It can view single image files in a variety of formats, as
well as large image collections.
Eye of Mate is extensible through a plugin system.

%package devel
Summary:  Support for developing plugins for the eom image viewer
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for eom


%prep
%if 0%{?rel_build}
%autosetup -p1
%else
%autosetup -n %{name}-%{commit} -p1
%endif

%if 0%{?rel_build}
#NOCONFIGURE=1 ./autogen.sh
%else # 0%{?rel_build}
# needed for git snapshots
NOCONFIGURE=1 ./autogen.sh
%endif # 0%{?rel_build}

%build
%configure \
   --with-x \
   --disable-schemas-compile \
   --enable-introspection=yes
         
make %{?_smp_mflags} V=1

%install
%{make_install}

desktop-file-install                               \
  --delete-original                                \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
$RPM_BUILD_ROOT%{_datadir}/applications/eom.desktop

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name} --with-gnome --all-name


%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{_mandir}/man1/*
%{_bindir}/eom
%dir %{_libdir}/eom
%dir %{_libdir}/eom/plugins
%{_libdir}/eom/plugins/*
%{_libdir}/girepository-1.0/Eom-1.0.typelib
%{_datadir}/applications/eom.desktop
%{_datadir}/eom/
%{_datadir}/icons/hicolor/*
%{_datadir}/glib-2.0/schemas/org.mate.eom.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.eom.enums.xml
%{_datadir}/metainfo/eom.appdata.xml

%files devel
%{_libdir}/pkgconfig/eom.pc
%dir %{_includedir}/eom-2.20
%dir %{_includedir}/eom-2.20/eom
%{_includedir}/eom-2.20/eom/*.h
%{_datadir}/gtk-doc/html/eom/
%{_datadir}/gir-1.0/*.gir


%changelog
* Wed Dec 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.23.1-1
- update to 1.23.1

* Tue Jul 02 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.23.0-2
- test https://github.com/mate-desktop/eom/pull/234
- local test, silent gtk_action
- use https://github.com/mate-desktop/eom/commit/fdaa530
- use https://github.com/mate-desktop/eom/commit/306f1ba
- use https://github.com/mate-desktop/eom/commit/eed33e7
- test https://github.com/mate-desktop/eom/pull/239
- test https://github.com/mate-desktop/eom/pull/241
- test https://github.com/mate-desktop/eom/pull/245
- test https://github.com/mate-desktop/eom/pull/247

* Tue Jul 02 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.23.0-1
- test 1.23.0

* Thu Apr 25 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.22.1-2
- test https://github.com/mate-desktop/eom/pull/231

* Thu Apr 25 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.22.1-1
- update 1.22.1 release

* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.22.0-1
- update to 1.22.0

* Sat Feb 10 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.21.2-2
- test https://github.com/mate-desktop/eom/pull/189
- test https://github.com/mate-desktop/eom/pull/190
- test https://github.com/mate-desktop/eom/pull/191
- test https://github.com/mate-desktop/eom/pull/197
- test https://github.com/mate-desktop/eom/pull/207
- test https://github.com/mate-desktop/eom/pull/208
- test https://github.com/mate-desktop/eom/pull/211

* Sat Feb 10 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.21.2-1
- test 1.21.2

* Sat Feb 10 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.21.1-2
- use simple patches from master
- use dev-eom-image branch, merged
- use dev gtk_show_uri branch, merged
- use dev-exif branch, merged
- use start GResource migration, merged
- use redesign sidebar, merged
- use properties-dialog GResource, merged
- test local patches, gresource
- test local patches, sidebar finishing
- test local patches, GtkStock

* Sat Feb 10 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.21.1-1
- test 1.21.1

* Sat Feb 10 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.21.0-2
- test local patches
- test fix for https://github.com/mate-desktop/eom/issues/96

* Sat Feb 10 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.21.0-1
- test 1.21.0

* Sat Feb 10 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.1-2
- use master patches

* Sat Feb 10 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.1-1
- test 1.20.1

* Sat Feb 10 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.0-4
- bump version higher than fedora repos

* Sat Feb 10 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.0-3
- test https://github.com/mate-desktop/eom/pull/164
- use libpeas-loader-python3 for all branches
- test https://github.com/mate-desktop/eom/pull/166
- test local commits

* Sat Feb 10 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.0-2
- test https://github.com/mate-desktop/eom/pull/156
- test https://github.com/mate-desktop/eom/pull/163

* Sat Feb 10 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.0-1
- update to 1.20 release
- drop desktop-database rpm scriptlet
- drop GSettings Schema rpm scriptlet
- drop IconCache rpm scriptlet
- switch to using autosetup

* Sat Oct 14 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.19.1-1
- update to 1.19.1

* Wed May 10 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.19.0-2
- add warning patch
- test https://github.com/mate-desktop/eom/pull/148
- https://github.com/mate-desktop/eom/pull/149
- test https://github.com/mate-desktop/eom/pull/151

* Wed May 10 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.19.0-1
- update to 1.19.0 release

* Wed Apr 05 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.18.1-1
- test 1.18.1

* Tue Mar 14 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.18.0-1
- update to 1.18.0 release

* Mon Jan 09 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.17.2-2
- use BR libpeas-loader-python only for fedora

* Mon Jan 09 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.17.2-1
- update to 1.17.2
- add BR libpeas-loader-python
- fix running in wayland session

* Tue Dec 06 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.17.1-2
- test https://github.com/mate-desktop/eom/commit/57d9680

* Tue Dec 06 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.17.1-1
- test 1.17.1 release

* Tue Dec 06 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.17.0-1
- update 1.17.0 release

* Sat Sep 17 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.16.0-1
- test 1.16.0 release

* Thu Jun 09 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.15.1-1
- test 1.15.1 release

* Thu Jun 09 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.15.0-2
- test GtkAbout dialog

* Thu Jun 09 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.15.0-1
- update to 1.15.0 release
- switch to gtk+3

* Sat May 21 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.14.1-11
- update to 1.14.1 release

* Wed Apr 06 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.14.0-11
- update to 1.14.0 release

* Sun Feb 21 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.13.1-12
- test svg images patch
- test drop size_request signal

* Sun Feb 21 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.13.1-11
- update to 1.13.1 release

* Mon Jan 25 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.13.0-12
- test, add style class eom-window

* Mon Jan 25 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.13.0-11
- update to 1.13.0 release

* Sat Dec 12 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.12.1-11
- update to 1.12.1
- fix gir compilation

* Sat Oct 31 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.12.0-12
- test, https://github.com/mate-desktop/eom/pull/107

* Sat Oct 31 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.12.0-11
- update to 1.12.0 release

* Wed Oct 14 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.11.0-11
- update to 1.11.0 release

* Thu Oct 08 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.5-11
- update to 1.10.5 release

* Tue Oct 06 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.4.11
- update to 1.10.4 release

* Thu Jul 16 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.3.12
- disable introspection for f23

* Tue Jul 14 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.3.11
- update to 1.10.3 release
- remove upstreamed patches

* Sat Jun 27 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.2-12
- fix rhbz (#1230244)

* Wed Jun 17 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.2-11
- update to 1.10.2 release

* Wed Jun 17 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.1.12
- fix a eom-critical and deprecated follow-state property warnings
- fix toolbar crash when editing items
- fix broken thumbview
- fix broken translations

* Thu Jun 11 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.1.11
- update to 1.10.1 release
- removed upstreamed patch

* Mon May 25 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.0-14
- test, https://github.com/mate-desktop/eom/pull/75

* Mon May 25 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.0-13
- fix height of statusbar

* Mon May 25 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.0-12
- disable python plugin support to fix GTK3 usage
- enable introspection build

* Tue May 05 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.0-11
- update to 1.10.0 release

* Sun Apr 05 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.90-11
- update to 1.9.90 release

* Tue Jan 27 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.1-10
- bump version to more than ten

* Thu Jan 22 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.1-1
- update to 1.9.1 release

* Tue Sep 30 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.0-1
- test, update to 1.9.0
- support gnome-software
- build for GTK3

* Tue Sep 30 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.1-1
- update to 1.8.1 release
- fix obsoletes/provides

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jul 18 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.0.3
- fix obsoletes/provides for -devel subpackage

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 05 2014 Dan Mashal <dan.mashal@fedoraproject.org> - 1.8.0-1
- Update to 1.8.0

* Wed Feb 19 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.90-1
- update to 1.7.90

* Thu Feb 13 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.0-1
- update to 1.7.0
- add --with-x configure flag
- use -devel subpackage for release builds

* Wed Dec 18 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.0-0.1.git20131212.7ba7e03
- rename mate-image-viewer to eom
- use latest git snapshot
- make maintainers life easier and use better git snapshot usage, thanks to Björn Esser
- use --with-gnome --all-name for find locale

* Fri Dec 06 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.0-1
- Update to 1.7.0 from mate-desktop git

* Mon Sep 16 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-2
- add mate-desktop-libs runtime require, fix rhbz (#1008249)
- remove gsettings-desktop-schemas BR and runtime require
- add BR pkgconfig(zlib)
- cleanup BRs
- update descriptions
- use modern make install macro
- remove needless check for "*.a" files
- remove needless --with-gnome from find locale
- remove needless 'save space by linking identical images in translated docs'
- remove needless gsettings convert file
- fix rpm scriptlets
- add omf directory
- own directories
- add python-libdir patch

* Mon Jul 29 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.1-1
- Update to latest 1.6.1 stable release.

* Wed Apr 03 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.0-1
- Update to latest 1.6.0 stable release.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 1.5.0-3
- rebuild due to "jpeg8-ABI" feature drop

* Tue Nov 06 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-2
- Fix scriptlet mistake

* Mon Nov 05 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-1
- Initial build

